VERSION 4.00
Begin VB.Form frmPageCli 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Mail Page"
   ClientHeight    =   1560
   ClientLeft      =   1980
   ClientTop       =   2085
   ClientWidth     =   4875
   Height          =   2250
   Icon            =   "PageCli.frx":0000
   Left            =   1920
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   1560
   ScaleWidth      =   4875
   Top             =   1455
   Width           =   4995
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   60000
      Left            =   4545
      Top             =   1305
   End
   Begin VB.ListBox MailList 
      Height          =   1230
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   4875
   End
   Begin VB.Label lblOperating 
      AutoSize        =   -1  'True
      Caption         =   "Inactive"
      Height          =   195
      Left            =   1350
      TabIndex        =   3
      Top             =   1305
      Width           =   570
   End
   Begin VB.Label lblUnread 
      AutoSize        =   -1  'True
      Caption         =   "Unread messages"
      Height          =   195
      Left            =   2970
      TabIndex        =   2
      Top             =   1305
      Width           =   1275
   End
   Begin VB.Label lblStatus 
      AutoSize        =   -1  'True
      Caption         =   "Offline"
      Height          =   195
      Left            =   45
      TabIndex        =   1
      Top             =   1305
      Width           =   450
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileProperties 
         Caption         =   "&Properties"
      End
      Begin VB.Menu mnuFileOnline 
         Caption         =   "Online"
      End
      Begin VB.Menu mnuFileH1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuTest 
      Caption         =   "&Test"
      Begin VB.Menu mnuTestPager 
         Caption         =   "Pager"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpContents 
         Caption         =   "Contents"
      End
      Begin VB.Menu mHh1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "A&bout"
      End
   End
End
Attribute VB_Name = "frmPageCli"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
'Copyright (c) 1996  Ziff-Davis Publishing Company.
'All rights reserved.
'First Published in PC Magazine, US Edition, [CoverDate].
'
'Programmed by John McSorley
'
Option Explicit







Private Sub Form_Load()
'Purpose: Init application
    
    Call MainInit
    
End Sub


Private Sub Form_Unload(Cancel As Integer)
    End
End Sub


Private Sub mnuFileExit_Click()
    
    Dim i As Integer
    
    End
    
End Sub

Private Sub mnuFileOnline_Click()
'Purpose: Toggle online/offline state of mail

    Dim i_ret As Integer
    
    mnuFileOnline.Checked = Not mnuFileOnline.Checked
    
    If mnuFileOnline.Checked = True Then
        i_ret = GoOnline()
        If i_ret = False Then
            mnuFileOnline.Checked = False
            'Set status display
            frmPageCli!lblStatus = "Offline"
        
        Else
            'Set status display
            frmPageCli!lblStatus = "Online"

        End If
    Else
        'Lets Go Offline
        i_ret = GoOffLine()
        
    End If
    
    If mnuFileOnline.Checked = True Then

        'Set status display
        frmPageCli!lblStatus = "Online"
        
    Else
        'Set status display
        frmPageCli!lblStatus = "Offline"
    End If

End Sub

Private Sub mnuFileProperties_Click()
'Purpose: user set properties
    
    Call DoProperties
    
End Sub


Private Sub mnuHelpAbout_Click()
'Purpose: display about box

    frmAbout.Show
End Sub

Private Sub mnuHelpContents_Click()
    Dim lret As Long
    
    lret = WinHelp(Me.hwnd, "mailpage.hlp", HELP_CONTENTS, 0)
    
End Sub

Private Sub mnuTestPager_Click()
'Purpose: test pager

    Dim oPg As Object
    Dim iRet As Integer
    Dim iPort As Integer
    Dim sTelNum As String
    
    
    'create pager object
    Set oPg = CreateObject(oProps.Item(scPagerObj).Value)
    
    'Get Com port
    iPort = Val(Mid$(oProps.Item(scPort).Value, 4, 1))
    
    'initialize pager object with our com port/display options
    iRet = oPg.Init(iPort, oProps.Item(scDispStatus).Value, oProps.Item(scDispRcv).Value)
    
    If iRet <> 0 Then
        MsgBox "Could not initialize pager object Err=" & Str$(iRet)

    Else
      
        If oProps.Item(scPagerType).Value = 0 Then
        
            'Do a Numeric style page
            
            'Get Service Number property
            sTelNum = oProps.Item(scNumServNum).Value
            
            iRet = oPg.NumericPage(sTelNum, "9990001122")
        
        Else
            'Do a Alpha style page
            'Get Service Number property
            sTelNum = oProps.Item(scAlphaServNum).Value
                
            iRet = oPg.AlphaPage(sTelNum, "TEST", oProps.Item(scAlphaId).Value, oProps.Item(scAlphaPassword).Value)
    
    
        End If
   
    End If
    
    oPg.Term

End Sub

Private Sub Timer1_Timer()
'Purpose: Timer fires call periodic processes

    Call PeriodicProcs
End Sub


